jQuery(document).ready(function($) {  
        var old_top = $("#archives").offset().top,  
            _year = parseInt($(".year:first").attr("id").replace("year-", ""));  
        $(".year:first, .year .month:first").addClass("selected");  
        $(".month.monthed").click(function() {  
            var _this = $(this),  
                _id = "#" + _this.attr("id").replace("mont", "arti");  
            if (!_this.hasClass("selected")) {  
                var _stop = $(_id).offset().top - 10,  
                    _selected = $(".month.monthed.selected");  
                _selected.removeClass("selected");  
                _this.addClass("selected");  
                $("body, html").scrollTop(_stop)  
            }  
        });  
        $(".year-toogle").click(function(e) {  
            e.preventDefault();  
            var _this = $(this),  
                _thisp = _this.parent();  
            if (!_thisp.hasClass("selected")) {  
                var _selected = $(".year.selected"),  
                    _month = _thisp.children("ul").children("li").eq(0);  
                _selected.removeClass("selected");  
                _thisp.addClass("selected");  
                _month.click()  
            }  
        });  
        $(window).scroll(function() {  
            var _this = $(this),  
                _top = _this.scrollTop();  
            if (_top >= old_top + 10) {  
                $(".archive-nav").css({  
                    top: 10  
                })  
            } else {  
                $(".archive-nav").css({  
                    top: old_top + 10 - _top  
                })  
            }  
            $(".archive-title").each(function() {  
                var _this = $(this),  
                    _ooid = _this.attr("id"),  
                    _newyear = parseInt(_ooid.replace(/arti-(\d*)-\d*/, "$1")),  
                    _offtop = _this.offset().top - 40,  
                    _oph = _offtop + _this.height();  
                if (_top >= _offtop && _top < _oph) {  
                    if (_newyear != _year) {  
                        $("#year-" + _year).removeClass("selected");  
                        $("#year-" + _newyear).addClass("selected");  
                        _year = _newyear  
                    }  
                    var _id = _id = "#" + _ooid.replace("arti", "mont"),  
                        _selected = $(".month.monthed.selected");  
                    _selected.removeClass("selected");  
                    $(_id).addClass("selected")  
                }  
            })  
        })  
    });

function getPostsCountByDate(startDate, endDate) {
    const apiUrl = githubHotMap.jsonUrl + `after=${startDate}T00:00:00&before=${endDate}T23:59:59&per_page=100`;
    fetch(apiUrl)
        .then(response => {
            if (!response.ok) {
                throw new Error('Network response was not ok');
            }
            return response.json();
        })
        .then(data => {
            const dailyCounts = {};
            data.forEach(post => {
                const date = new Date(post.date).toISOString().split('T')[0];
                dailyCounts[date] = (dailyCounts[date] || 0) + 1;
            });
            drawHeatmap(dailyCounts, startDate, endDate);
        })
        .catch(error => {
            console.error('获取文章数量时出错:', error);
        });
}

function drawHeatmap(dailyCounts, startDate, endDate) {
    const start = new Date(startDate);
    const end = new Date(endDate);
    const totalDays = Math.ceil((end - start) / (1000 * 60 * 60 * 24));
    
    const heatmapContainer = document.querySelector('.squares');
    heatmapContainer.innerHTML = ''; // 清空容器

    for (let i = 0; i <= totalDays; i++) {
        const currentDate = new Date(start);
        currentDate.setDate(start.getDate() + i);
        const dateString = currentDate.toISOString().split('T')[0];
        const count = dailyCounts[dateString] || 0;

        const dayBlock = document.createElement('li');
        //dayBlock.style.width = '10px'; // 每个块的宽度
        //dayBlock.style.height = '10px'; // 每个块的高度
        //dayBlock.style.margin = '2px'; // 块之间的间距
        dayBlock.style.backgroundColor = getColorForCount(count);
        dayBlock.title = `${dateString}: ${count}` + githubHotMap.articles ; // 鼠标悬停时显示的提示

        heatmapContainer.appendChild(dayBlock);
    }
}

function getColorForCount(count) {
    if (count === 0) return '#ebedf0'; // 白色表示没有文章
    //if (count <= 5) return '#9be9a8#40c463'; // 绿色表示少量文章
    if (count <= 1) return '#30a14e'; // 深绿色表示中等数量文章
    return '#216e39'; // 更深的绿色表示大量文章
}

//自动获取当年的日期
const today = new Date(); // 获取当前日期
const year = today.getFullYear(); // 获取当前年份
const month = today.getMonth(); // 获取当前月份（0-11）
function getEndOfCurrentMonth() {
    // 创建一个新的日期对象，设置为下个月的第一天
    const endOfMonth = new Date(year, month + 1, 0); // 0表示上一个月的最后一天
    return endOfMonth.toISOString().split('T')[0]; // 返回格式化的日期字符串
}

const endOfCurrentMonth = getEndOfCurrentMonth();

function getMonday365DaysAgo() {
    const pastDate = new Date(endOfCurrentMonth); // 创建当前日期的副本
    pastDate.setDate(pastDate.getDate() - 365); // 减去365天

    // 获取过去日期的周一
    const dayOfWeek = pastDate.getDay();
    const daysToMonday = (dayOfWeek === 0) ? 0 : - dayOfWeek; // 如果是周日，调整为前一个周一
    pastDate.setDate(pastDate.getDate() + daysToMonday); // 调整到周一
    return pastDate.toISOString().split('T')[0]; // 返回格式化的日期字符串
}

const monday365DaysAgo = getMonday365DaysAgo();
getPostsCountByDate( monday365DaysAgo, endOfCurrentMonth); // 替换为你想要的日期范围

const date = new Date(year,0,1);
const dayOfWeek = date.getDay();
const days = ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'];
const weekDaysList = document.querySelector('.days');

// 按顺序添加星期
for (let i = 0; i < days.length; i++) {
    const listItem = document.createElement('li');
    listItem.textContent = days[i];
    weekDaysList.appendChild(listItem);
}

const monthList = document.querySelector('.months');
// 定义一个数组，包含每个月的英文简写
const monthNames = ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
const currentMonth = today.getMonth() + 1; // 获取当前月份（0-11）

// 重新排序月份
const sortedMonths = [
    ...monthNames.slice(currentMonth), // 当前月份及之后的月份
    ...monthNames.slice(0, currentMonth) // 之前的月份倒序
];
// 遍历月份数组并创建li标签
sortedMonths.forEach(month => {
    const li = document.createElement('li'); // 创建li元素
    li.textContent = month; // 设置li的文本内容
    monthList.appendChild(li); // 将li添加到ul中
});